"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_js_net_projectApi = require("../../../common/js/net/projectApi.js");
const common_js_net_UserApi = require("../../../common/js/net/UserApi.js");
const common_js_conver = require("../../../common/js/conver.js");
const common_js_validator = require("../../../common/js/validator.js");
const _sfc_main = {
  setup() {
    const globalData = common_vendor.inject("globalData");
    return {
      globalData
    };
  },
  data() {
    return {
      msgType: "info",
      msgTxt: "",
      completeDate: "",
      //开发完成时间
      version: "v1.0",
      //系统版本
      type: "ALL",
      //默认全托管  上级页面传递type参数   all全托管  material写材料  
      languageList: ["JAVA"],
      currentLanguage: "JAVA",
      //当前选中的语言
      price: 0,
      packageList: [],
      //套餐包
      tempPackage: {},
      //临时选中的优惠卷,没有点击确定按钮前
      selectPackage: {},
      //选中的套餐包
      couponsList: [],
      //优惠卷
      selectCoupons: {},
      //选中的优惠卷
      tempCoupons: {},
      //临时选中的优惠卷,没有点击确定按钮
      contactList: [],
      //联系人
      selectContact: {},
      //当前选中的联系人
      contactPhone: "",
      //联系人电话
      contactName: "",
      //联系人姓名
      contactEmail: "",
      //联系人邮箱
      contactCompany: "",
      //联系人公司
      csaNo: "",
      //客服NO
      projectName: "",
      projectNameList: [],
      isUrgent: false,
      //是否加急
      canSelCoupons: true,
      //是否可以使用优惠卷
      canSelPackage: true,
      //是否可以使用套餐包
      langList: [],
      //项目语言
      showLang: false,
      //显示选择语言
      tempLang: "",
      //临时选中的语言
      selectLang: "",
      isShowUrgent: true,
      //是否加急
      urgent: 0,
      //加急费用
      isUrgentDisable: false,
      //是否禁用加急
      proPrice: 0,
      //价格
      transmitPId: ""
      //传递过来的套餐包ID
    };
  },
  onLoad(options) {
    common_vendor.index.setNavigationBarTitle({
      title: "创建软著"
    });
    common_vendor.index.setNavigationBarColor({
      frontColor: "#000000",
      // 必写项，字体颜色仅支持#ffffff和#000000
      backgroundColor: "#F0F0F0",
      // 传递的颜色值，仅支持十六进制颜色
      animation: {
        // 可选项
        duration: 500,
        timingFunc: "easeIn"
      }
    });
    const typeParams = options.type;
    const priceParams = options.price;
    const isUrgentParams = options.isUrgent;
    const pId = options.pId;
    common_vendor.index.__f__("log", "at pages/copyright/createProjectInfo/createProjectInfo.vue:358", priceParams);
    if (priceParams && priceParams > 0) {
      this.price = priceParams;
      this.proPrice = priceParams;
      this.type = typeParams;
      this.isUrgent = isUrgentParams;
      this.transmitPId = pId;
    } else {
      this.msgType = "error";
      this.msgTxt = "数据有误,请稍后重试";
      this.$refs.msg.open();
      setTimeout(() => {
        common_vendor.index.navigateBack();
      }, 1500);
    }
    if (this.type == "ALL") {
      this.isShowUrgent = true;
      this.isUrgent = false;
    } else {
      this.isShowUrgent = false;
    }
    common_vendor.index.__f__("log", "at pages/copyright/createProjectInfo/createProjectInfo.vue:379", "是否加急:", this.isUrgent);
    this.doGetContactList();
    this.doGetPackage();
    this.doGetCoupons();
    this.doGetCsaNo(false);
    this.doGetProLangList();
    this.doGetPrice();
  },
  methods: {
    // 导入的方法
    isEmpty: common_js_conver.isEmpty,
    phoneNum: common_js_conver.phoneNum,
    isValidPhone: common_js_validator.isValidPhone,
    isValidEmail: common_js_validator.isValidEmail,
    // 关闭dialog
    closeCommendDialog() {
      this.$refs.commendDialog.close();
    },
    closeCreateContact() {
      this.$refs.crateContactDialog.close();
    },
    closeLangDialog() {
      this.$refs.selectLangDialog.close();
    },
    //关闭dialog  End
    //获取产权联系人
    doGetContactList() {
      common_vendor.index.showLoading({
        title: "加载中..."
      });
      const _self = this;
      common_js_net_projectApi.ProApi.doGetContactList().then((res) => {
        common_vendor.index.hideLoading();
        _self.contactList = res;
        _self.selectContact = res[0];
      }).catch((err) => {
        common_vendor.index.hideLoading();
      });
    },
    //获取套餐包
    doGetPackage() {
      const _self = this;
      const data = {
        page: 1,
        rows: 100,
        packageType: _self.type,
        keyong: 1
      };
      common_js_net_projectApi.ProApi.doGetPackageList(data).then((res) => {
        _self.packageList = res.rows;
        if (_self.transmitPId != "" && _self.transmitPId != "undefined") {
          res.rows.map((item) => {
            if (item.packageInfoId == _self.transmitPId) {
              _self.selectPackage = item;
              _self.showPackage = false;
              _self.tempPackage = {};
              _self.canSelCoupons = false;
              _self.selectCoupons = {};
              _self.tempCoupons = {};
              _self.isUrgent = false;
              _self.isUrgentDisable = true;
              _self.price = 0;
            }
          });
        }
      }).catch((err) => {
        _self.packageList = [];
      });
    },
    //获取优惠卷
    doGetCoupons() {
      const _self = this;
      const data = {
        page: 1,
        rows: 100,
        isEffective: 1,
        isUsed: 0
      };
      common_js_net_projectApi.ProApi.doGetCouponseList(data).then((res) => {
        _self.couponsList = res.rows;
      }).catch((err) => {
        _self.couponsList = [];
      });
    },
    //获取客服NO,用于创建联系人
    doGetCsaNo(isShow) {
      const _self = this;
      common_js_net_UserApi.UserApi.doGetCsaNo().then((res) => {
        _self.csaNo = res.csaNo;
      }).catch((err) => {
        _self.msgTxt = "获取客服失败,请稍后重试";
        _self.msgType = "error";
        _self.$refs.msg.open();
      });
    },
    //获取可选语言
    doGetProLangList() {
      const _self = this;
      common_js_net_projectApi.ProApi.doGetProLangList().then((res) => {
        _self.langList = res;
        _self.selectLang = res[0];
      }).catch((err) => {
        common_vendor.index.__f__("log", "at pages/copyright/createProjectInfo/createProjectInfo.vue:500", err);
      });
    },
    //获取单价
    doGetPrice() {
      common_vendor.index.showLoading({
        title: "加载中..."
      });
      const _self = this;
      common_js_net_projectApi.ProApi.doGetPrice().then((res) => {
        common_vendor.index.__f__("log", "at pages/copyright/createProjectInfo/createProjectInfo.vue:511", res);
        _self.urgent = res.additional.urgent;
      }).catch((err) => {
        _self.msgTxt = "数据有误,请稍后重试";
        _self.msgType = "error";
        _self.$refs.msg.open();
        setTimeout(() => {
          common_vendor.index.navigateBack();
        }, 1500);
      });
    },
    //项目名称输入
    inputProjectName(e) {
      this.projectName = e.detail.value;
    },
    //选中推荐的系统名称
    doSelectProjectName(e) {
      this.projectName = e.currentTarget.dataset.value;
      this.projectNameList = [];
      this.$refs.commendDialog.close();
    },
    //显示推荐项目名称
    doCommendProjectName() {
      this.$refs.commendDialog.open();
    },
    //获取推荐的项目名称
    doCreateFullName() {
      const _self = this;
      common_vendor.index.showLoading({
        title: "生成中..."
      });
      const data = {
        prompt: _self.projectName
      };
      common_js_net_projectApi.ProApi.doGetCommendProjectName(data).then((res) => {
        common_vendor.index.hideLoading();
        common_vendor.index.__f__("log", "at pages/copyright/createProjectInfo/createProjectInfo.vue:549", res);
        if (res && res.length > 0) {
          _self.projectNameList = res;
        } else {
          _self.msgTxt = "未查询到相关推荐的系统名称,请重新输入";
          _self.msgType = "error";
          _self.$refs.msg.open();
        }
      }, (err) => {
        common_vendor.index.hideLoading();
        _self.msgTxt = "未查询到相关推荐的系统名称,请重新输入";
        _self.msgType = "error";
        _self.$refs.msg.open();
      });
    },
    //选中项目联系人
    doChangeContact(e) {
      this.selectContact = this.contactList[e.detail.value];
    },
    //显示新建联系人弹窗
    doCreateContact() {
      this.$refs.createContactDialog.open();
    },
    //监听输入版本
    inputVersion(e) {
      this.version = e.detail.value;
    },
    //显示系统语言弹窗
    doShowLang() {
      this.$refs.selectLangDialog.open();
    },
    //切换系统语言
    changeLang(e) {
      this.tempLang = e.detail.value;
    },
    //确定选中系统语言
    doConfirmLang() {
      const _self = this;
      if (_self.tempLang != "") {
        _self.selectLang = _self.tempLang;
        _self.tempLang = "";
      }
      _self.$refs.selectLangDialog.close();
    },
    //时间切换
    bindDateChange(e) {
      this.completeDate = e.detail.value;
    },
    //清除完成时间
    clearTime() {
      common_vendor.index.__f__("log", "at pages/copyright/createProjectInfo/createProjectInfo.vue:599", "清除时间");
      this.completeDate = "";
    },
    //显示套餐包弹窗
    doShowPackage() {
      const _self = this;
      if (_self.packageList.length > 0) {
        _self.tempPackage = _self.selectPackage;
        _self.$refs.selPackageDialog.open();
      } else {
        _self.msgTxt = "您暂时没有可以使用的套餐包";
        _self.msgType = "error";
        _self.$refs.msg.open();
      }
    },
    //关闭套餐包弹窗
    closePackage() {
      this.$refs.selPackageDialog.close();
    },
    //点击选择套餐包
    choosePackage(e) {
      this.tempPackage = e.currentTarget.dataset.value;
    },
    //点击radio
    radioSelPackage(e) {
      this.tempPackage = this.packageList[e.detail.value];
    },
    //确定选中的套餐包
    doConfirmPackage() {
      this.selectPackage = this.tempPackage;
      this.tempPackage = {};
      this.canSelCoupons = false;
      this.selectCoupons = {};
      this.tempCoupons = {};
      this.isUrgent = false;
      this.isUrgentDisable = true;
      this.countPrice();
      this.$refs.selPackageDialog.close();
    },
    //请空选中的套餐包或优惠卷
    clearSelectPackageOrCoupons() {
      this.selectCoupons = {};
      this.selectPackage = {};
      this.tempCoupons = {};
      this.tempPackage = {};
      this.canSelCoupons = true;
      this.canSelPackage = true;
      this.isUrgent = false;
      this.isUrgentDisable = false;
      this.countPrice();
    },
    //显示优惠卷弹窗
    doShowCoupons() {
      if (this.couponsList.length <= 0) {
        this.msgType = "error";
        this.msgTxt = "您暂时没有可以使用的优惠卷";
        this.$refs.msg.open();
      } else {
        this.$refs.selCouponsDialog.open();
      }
    },
    //关闭优惠卷弹窗
    closeCoupons() {
      this.$refs.selCouponsDialog.close();
    },
    //确定选中的优惠卷
    doConfirmCoupons() {
      const _self = this;
      _self.selectCoupons = _self.tempCoupons;
      _self.tempCoupons = {};
      _self.canSelPackage = false;
      _self.selectPackage = {};
      _self.tempPackage = {};
      _self.countPrice();
      this.$refs.selCouponsDialog.close();
    },
    //切换优惠卷
    chooseCoupons(e) {
      this.tempCoupons = e.currentTarget.dataset.value;
    },
    //radio点击
    radioSelCoupons(e) {
      this.tempCoupons = this.couponsList[e.detail.value];
    },
    //是否加急
    doUrgent() {
      const _self = this;
      _self.isUrgent = !_self.isUrgent;
      _self.countPrice();
    },
    //新建联系人姓名监听
    inputContactName(e) {
      this.contactName = e.detail.value;
    },
    //新建联系人电话监听
    inputContactPhone(e) {
      common_vendor.index.__f__("log", "at pages/copyright/createProjectInfo/createProjectInfo.vue:695", e);
      this.contactPhone = e.detail.value;
    },
    //新建联系人公司监听
    inputContactCompany(e) {
      this.contactCompany = e.detail.value;
    },
    //新建联系人邮箱监听
    inputContactEmail(e) {
      this.contactEmail = e.detail.value;
    },
    //保存新建联系人
    doSaveContact() {
      const _self = this;
      if (_self.contactName == "") {
        _self.msgTxt = "请输入联系人姓名";
        _self.msgType = "error";
        _self.$refs.msg.open();
        return;
      }
      if (_self.contactPhone == "" || !common_js_validator.isValidPhone(_self.contactPhone)) {
        _self.msgTxt = "请输入正确的联系电话";
        _self.msgType = "error";
        _self.$refs.msg.open();
        return;
      }
      if (_self.contactEmail != "") {
        if (!common_js_validator.isValidEmail(_self.contactEmail)) {
          _self.msgTxt = "请输入正确的邮箱";
          _self.msgType = "error";
          _self.$refs.msg.open();
          return;
        }
      }
      const data = {
        company: _self.contactCompany,
        csaNo: _self.csaNo,
        name: _self.contactName,
        phone: _self.contactPhone,
        email: _self.contactEmail
      };
      common_vendor.index.showLoading({
        title: "创建中..."
      });
      common_js_net_UserApi.UserApi.doCreateContact(data).then((res) => {
        common_vendor.index.hideLoading();
        _self.msgTxt = "新建成功";
        _self.msgType = "success";
        _self.$refs.msg.open();
        _self.$refs.createContactDialog.close();
        _self.contactEmail = "";
        _self.contactPhone = "";
        _self.contactName = "";
        _self.contactCompany = "";
        _self.doGetContactList();
      }).catch((err) => {
        common_vendor.index.__f__("log", "at pages/copyright/createProjectInfo/createProjectInfo.vue:754", err);
        common_vendor.index.hideLoading();
        _self.msgTxt = err.msg ? err.msg : "新建失败,请稍后重试";
        _self.msgType = "error";
        _self.$refs.msg.open();
      });
    },
    //计算价格
    countPrice() {
      const _self = this;
      const trPrice = Number(_self.proPrice);
      let newPrice;
      if (!common_js_conver.objIsEmpty(_self.selectPackage)) {
        newPrice = 0;
      } else {
        const isAllType = _self.type === "ALL";
        const hasCoupon = !common_js_conver.objIsEmpty(_self.selectCoupons);
        const isUrgent = _self.isUrgent;
        const couponAmount = hasCoupon ? Number(_self.selectCoupons.coupon.amount) : 0;
        const urgentFee = isAllType && isUrgent ? Number(_self.urgent) : 0;
        newPrice = trPrice + urgentFee - couponAmount;
      }
      _self.price = Math.max(0, newPrice);
    },
    //校验参数
    doCheckProjectParams() {
      const _self = this;
      if (_self.projectName == "") {
        _self.msgTxt = "请输入项目名称";
        _self.msgType = "error";
        _self.$refs.msg.open();
        return false;
      }
      if (Object.keys(_self.selectContact).length <= 0) {
        _self.msgTxt = "请选中产权联系人";
        _self.msgType = "error";
        _self.$refs.msg.open();
        return false;
      }
      return true;
    },
    //提交新建项目信息
    doCreateProject() {
      const _self = this;
      const isLegal = _self.doCheckProjectParams();
      if (isLegal) {
        common_vendor.index.showLoading({
          title: "创建中..."
        });
        var list = [];
        if (_self.isUrgent != "" && _self.isUrgent) {
          list = ["URGENT"];
        }
        const data = {
          applyContactCsaNo: _self.selectContact.csaNo,
          //	联系人客服编号
          applyContactId: _self.selectContact.projContactId,
          //联系人ID
          applyContactName: _self.selectContact.name,
          //联系人姓名
          applyContactPhone: _self.selectContact.phone,
          //联系人手机
          projDevCompleteDate: _self.completeDate,
          //开发完成日期
          projName: _self.projectName,
          //项目简称
          projVersion: _self.version,
          //项目版本
          backendCodeLang: _self.selectLang,
          projChargeType: _self.type,
          //项目收费类型 ALL,FREE,MATERIAL,MATERIAL_AGENT,MATERIAL_AGENT_URGENT
          listProjChargeAdditional: list,
          packageOrderId: _self.selectPackage.packageOrderId ? _self.selectPackage.packageOrderId : "",
          //套餐包ID
          couponId: _self.selectCoupons.couponId ? _self.selectCoupons.couponId : ""
          //优惠卷ID
        };
        common_js_net_projectApi.ProApi.doCreateProject(data).then((res) => {
          common_vendor.index.__f__("log", "at pages/copyright/createProjectInfo/createProjectInfo.vue:830", res);
          common_vendor.index.hideLoading();
          _self.msgType = "success";
          _self.msgTxt = "项目创建流程圆满完成，系统正在生成配套材料，请您耐心等候。";
          _self.$refs.msg.open();
          setTimeout(() => {
            common_vendor.index.navigateBack();
          }, 1500);
        }).catch((err) => {
          common_vendor.index.hideLoading();
          common_vendor.index.__f__("log", "at pages/copyright/createProjectInfo/createProjectInfo.vue:841", err);
          _self.msgTxt = err.msg ? err.msg : "网络错误,请稍后重试";
          _self.msgType = "error";
          _self.$refs.msg.open();
        });
      }
    }
  }
};
if (!Array) {
  const _easycom_uni_popup2 = common_vendor.resolveComponent("uni-popup");
  const _easycom_uni_popup_message2 = common_vendor.resolveComponent("uni-popup-message");
  (_easycom_uni_popup2 + _easycom_uni_popup_message2)();
}
const _easycom_uni_popup = () => "../../../uni_modules/uni-popup/components/uni-popup/uni-popup.js";
const _easycom_uni_popup_message = () => "../../../uni_modules/uni-popup/components/uni-popup-message/uni-popup-message.js";
if (!Math) {
  (_easycom_uni_popup + _easycom_uni_popup_message)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $setup.globalData.locImg + "/banner_1.png",
    b: $setup.globalData.locImg + "/banner_2.png",
    c: $data.projectName,
    d: common_vendor.o((...args) => $options.inputProjectName && $options.inputProjectName(...args)),
    e: common_vendor.o((...args) => $options.doCommendProjectName && $options.doCommendProjectName(...args)),
    f: common_vendor.t($data.selectContact.name),
    g: common_vendor.t($options.phoneNum($data.selectContact.phone, 3, 4, "****")),
    h: $data.contactList,
    i: common_vendor.o((...args) => $options.doChangeContact && $options.doChangeContact(...args)),
    j: common_vendor.o((...args) => $options.doCreateContact && $options.doCreateContact(...args)),
    k: common_vendor.n($data.version != "" ? "v-select" : ""),
    l: $data.version,
    m: common_vendor.o((...args) => $options.inputVersion && $options.inputVersion(...args)),
    n: common_vendor.t($data.selectLang),
    o: common_vendor.n($data.selectLang != "" ? "v-select" : ""),
    p: common_vendor.o((...args) => $options.doShowLang && $options.doShowLang(...args)),
    q: common_vendor.t($data.completeDate != "" ? $data.completeDate : "请选择开发完成时间"),
    r: common_vendor.n($data.completeDate == "" ? "value-hint" : ""),
    s: $data.completeDate,
    t: common_vendor.o((...args) => $options.bindDateChange && $options.bindDateChange(...args)),
    v: $data.completeDate != ""
  }, $data.completeDate != "" ? {
    w: common_vendor.o((...args) => $options.clearTime && $options.clearTime(...args))
  } : {}, {
    x: $data.completeDate == ""
  }, $data.completeDate == "" ? {} : {}, {
    y: $data.canSelPackage
  }, $data.canSelPackage ? common_vendor.e({
    z: common_vendor.t($data.selectPackage.packageName ? $data.selectPackage.packageName : "请选择套餐包"),
    A: common_vendor.n(!$options.isEmpty($data.selectPackage) ? "v-select" : "v-normal"),
    B: common_vendor.o((...args) => $options.doShowPackage && $options.doShowPackage(...args)),
    C: !$options.isEmpty($data.selectPackage)
  }, !$options.isEmpty($data.selectPackage) ? {
    D: common_vendor.o((...args) => $options.clearSelectPackageOrCoupons && $options.clearSelectPackageOrCoupons(...args))
  } : {}) : {}, {
    E: $data.canSelCoupons
  }, $data.canSelCoupons ? common_vendor.e({
    F: common_vendor.t($data.selectCoupons.couponId ? $data.selectCoupons.coupon.title : "请选择优惠券"),
    G: common_vendor.o((...args) => $options.doShowCoupons && $options.doShowCoupons(...args)),
    H: common_vendor.n(!$options.isEmpty($data.selectCoupons) ? "v-select" : "v-normal"),
    I: !$options.isEmpty($data.selectCoupons)
  }, !$options.isEmpty($data.selectCoupons) ? {
    J: common_vendor.o((...args) => $options.clearSelectPackageOrCoupons && $options.clearSelectPackageOrCoupons(...args))
  } : {}) : {}, {
    K: common_vendor.t($data.price / 100),
    L: $data.isShowUrgent
  }, $data.isShowUrgent ? {
    M: common_vendor.t($data.urgent / 100),
    N: $data.isUrgent,
    O: $data.isUrgentDisable,
    P: common_vendor.o((...args) => $options.doUrgent && $options.doUrgent(...args))
  } : {}, {
    Q: common_vendor.o((...args) => $options.doCreateProject && $options.doCreateProject(...args)),
    R: common_vendor.o((...args) => $options.closeCommendDialog && $options.closeCommendDialog(...args)),
    S: common_vendor.o((...args) => $options.inputProjectName && $options.inputProjectName(...args)),
    T: common_vendor.f($data.projectNameList, (item, index, i0) => {
      return {
        a: common_vendor.t(item),
        b: item,
        c: index
      };
    }),
    U: common_vendor.o((...args) => $options.doSelectProjectName && $options.doSelectProjectName(...args)),
    V: common_vendor.o((...args) => $options.doCreateFullName && $options.doCreateFullName(...args)),
    W: common_vendor.sr("commendDialog", "52668214-0"),
    X: common_vendor.p({
      type: "bottom",
      ["background-color"]: "#fff",
      ["border-radius"]: "15rpx 15rpx 0rpx 0rpx"
    }),
    Y: common_vendor.o((...args) => $options.closeCreateContact && $options.closeCreateContact(...args)),
    Z: $data.contactName,
    aa: common_vendor.o((...args) => $options.inputContactName && $options.inputContactName(...args)),
    ab: $data.contactPhone,
    ac: common_vendor.o((...args) => $options.inputContactPhone && $options.inputContactPhone(...args)),
    ad: $data.contactEmail,
    ae: common_vendor.o((...args) => $options.inputContactEmail && $options.inputContactEmail(...args)),
    af: $data.contactCompany,
    ag: common_vendor.o((...args) => $options.inputContactCompany && $options.inputContactCompany(...args)),
    ah: common_vendor.o((...args) => $options.doSaveContact && $options.doSaveContact(...args)),
    ai: common_vendor.sr("createContactDialog", "52668214-1"),
    aj: common_vendor.p({
      type: "bottom",
      ["background-color"]: "#fff",
      ["border-radius"]: "15rpx 15rpx 0rpx 0rpx"
    }),
    ak: common_vendor.o((...args) => $options.closeLangDialog && $options.closeLangDialog(...args)),
    al: common_vendor.f($data.langList, (item, index, i0) => {
      return {
        a: common_vendor.t(item),
        b: $data.selectLang == item,
        c: item,
        d: index
      };
    }),
    am: common_vendor.o((...args) => $options.changeLang && $options.changeLang(...args)),
    an: common_vendor.o((...args) => $options.doConfirmLang && $options.doConfirmLang(...args)),
    ao: common_vendor.sr("selectLangDialog", "52668214-2"),
    ap: common_vendor.p({
      type: "bottom",
      ["background-color"]: "#fff",
      ["border-radius"]: "15rpx 15rpx 0rpx 0rpx"
    }),
    aq: common_vendor.o((...args) => $options.closePackage && $options.closePackage(...args)),
    ar: common_vendor.f($data.packageList, (item, index, i0) => {
      return {
        a: common_vendor.t(item.packageTotalSurplusCount),
        b: common_vendor.t(item.packageInfoAppDTO.packageName),
        c: common_vendor.t(item.packageInfoAppDTO.packageDescription),
        d: index + "",
        e: $data.tempPackage.packageInfoId == item.packageInfoId,
        f: item,
        g: index
      };
    }),
    as: common_vendor.o((...args) => $options.choosePackage && $options.choosePackage(...args)),
    at: common_vendor.o((...args) => $options.radioSelPackage && $options.radioSelPackage(...args)),
    av: common_vendor.o((...args) => $options.doConfirmPackage && $options.doConfirmPackage(...args)),
    aw: common_vendor.sr("selPackageDialog", "52668214-3"),
    ax: common_vendor.p({
      type: "bottom",
      ["background-color"]: "#fff",
      ["border-radius"]: "15rpx 15rpx 0rpx 0rpx"
    }),
    ay: common_vendor.o((...args) => $options.closeCoupons && $options.closeCoupons(...args)),
    az: common_vendor.f($data.couponsList, (item, index, i0) => {
      return {
        a: common_vendor.t(item.coupon.amount / 100),
        b: common_vendor.t(item.coupon.title),
        c: common_vendor.t(item.coupon.useGmtStart),
        d: common_vendor.t(item.coupon.useGmtEnd),
        e: index + "",
        f: $data.tempCoupons.couponId == item.couponId,
        g: item,
        h: index
      };
    }),
    aA: common_vendor.o((...args) => $options.chooseCoupons && $options.chooseCoupons(...args)),
    aB: common_vendor.o((...args) => $options.radioSelCoupons && $options.radioSelCoupons(...args)),
    aC: common_vendor.o((...args) => $options.doConfirmCoupons && $options.doConfirmCoupons(...args)),
    aD: common_vendor.sr("selCouponsDialog", "52668214-4"),
    aE: common_vendor.p({
      type: "bottom",
      ["background-color"]: "#fff",
      ["border-radius"]: "15rpx 15rpx 0rpx 0rpx"
    }),
    aF: common_vendor.p({
      type: $data.msgType,
      message: $data.msgTxt,
      duration: 2e3
    }),
    aG: common_vendor.sr("msg", "52668214-5"),
    aH: common_vendor.p({
      type: "message"
    })
  });
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
tt.createPage(MiniProgramPage);
//# sourceMappingURL=../../../../.sourcemap/mp-toutiao/pages/copyright/createProjectInfo/createProjectInfo.js.map
